npm command-line interface

# npm-install-ci-test

Install a project with a clean slate and run tests

## Table of contents

- Synopsis
- Description
- Configuration

- `audit`
- `ignore-scripts`
- `script-shell`

- See Also

### Synopsis

    npm install-ci-test

    alias: npm cit

### Description

This command runs `npm ci` followed immediately by `npm test`.

### Configuration

#### `audit`

- Default: true
- Type: Boolean

When “true” submit audit reports alongside the current npm command to the default registry and all registries configured for scopes. See the documentation for `npm audit` for details on what is submitted.

#### `ignore-scripts`

- Default: false
- Type: Boolean

If true, npm does not run scripts specified in package.json files.

Note that commands explicitly intended to run a particular script, such as `npm start`, `npm stop`, `npm restart`, `npm test`, and `npm run-script` will still run their intended script if `ignore-scripts` is set, but they will not run any pre- or post-scripts.

#### `script-shell`

- Default: ‘/bin/sh’ on POSIX systems, ‘cmd.exe’ on Windows
- Type: null or String

The shell to use for scripts run with the `npm exec`, `npm run` and `npm init <pkg>` commands.

### See Also

- npm install-test
- npm ci
- npm test